org.apache.cassandra.cql3.statements

## Class MultiColumnRestriction.InWithMarker

- java.lang.Object
- - org.apache.cassandra.cql3.statements.SingleColumnRestriction
  - - org.apache.cassandra.cql3.statements.SingleColumnRestriction.InWithMarker
    - - org.apache.cassandra.cql3.statements.MultiColumnRestriction.InWithMarker

All Implemented Interfaces:
  MultiColumnRestriction, MultiColumnRestriction.IN, Restriction, Restriction.IN

Enclosing interface:
  MultiColumnRestriction

    public static class MultiColumnRestriction.InWithMarker
    extends SingleColumnRestriction.InWithMarker
    implements MultiColumnRestriction.IN

An IN restriction that uses a single marker for a set of IN values that are tuples. For example: "SELECT ... WHERE (a, b, c) IN ?"

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.SingleColumnRestriction

`SingleColumnRestriction.Contains, SingleColumnRestriction.EQ, SingleColumnRestriction.InWithMarker, SingleColumnRestriction.InWithValues, SingleColumnRestriction.Slice`

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.statements.MultiColumnRestriction

`MultiColumnRestriction.EQ, MultiColumnRestriction.IN, MultiColumnRestriction.InWithMarker, MultiColumnRestriction.InWithValues, MultiColumnRestriction.Slice`

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.statements.SingleColumnRestriction.InWithMarker

`marker`

### Constructor Summary

Constructors
Constructor and Description
`MultiColumnRestriction.InWithMarker(AbstractMarker marker)`

### Method Summary

Methods
`boolean` `isMultiColumn()`
`java.util.List<java.util.List<java.nio.ByteBuffer>>` `splitValues(QueryOptions options)`

### Methods inherited from class org.apache.cassandra.cql3.statements.SingleColumnRestriction.InWithMarker

`canHaveOnlyOneValue, isContains, isEQ, isIN, isOnToken, isSlice, toString, values`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.cql3.statements.Restriction

`isContains, isEQ, isIN, isOnToken, isSlice, values`

### Constructor Detail

#### MultiColumnRestriction.InWithMarker

    public MultiColumnRestriction.InWithMarker(AbstractMarker marker)

### Method Detail

#### isMultiColumn

    public boolean isMultiColumn()

Specified by:
  `isMultiColumn` in interface `Restriction`
Overrides:
  `isMultiColumn` in class `SingleColumnRestriction`

#### splitValues

    public java.util.List<java.util.List<java.nio.ByteBuffer>> splitValues(QueryOptions options)
                                                                    throws InvalidRequestException

Specified by:
  `splitValues` in interface `MultiColumnRestriction.IN`
Throws:
  `InvalidRequestException`